### Method

# Clutter Grab activate

#### Declaration [src]

    void
    clutter_grab_activate (
      ClutterGrab* grab
    )

#### Description [src]

Activates a grab onto its assigned actor. Events will be propagated as usual inside its hierarchy. Activating an already active grab will have no side effects.

This method is necessary for grabs obtained through `clutter_stage_grab_inactive()`. Grabs obtained through `clutter_stage_grab()` will be activated implicitly.

to undo the effects of this function, call `clutter_grab_dismiss()`.